﻿    <table class="@Class" style="@Style">
        <tr>@*Заполнение шапки таблицы*@
            @for (int i = 0; i != Data.Columns.Count; i++)
            {

                <th>@Data.Columns[i]</th>

            }
        </tr>
        @*Заполнение содержимого таблицы*@
        @for (int i = 0; i != Data.Rows.Count; i++)
        {
            <tr>
                @for (int j = 0; j != Data.Columns.Count; j++)
                {
                    <td>@Data.Rows[i][j]</td>

                }
            </tr>
        }

    </table>

@code{ 
    //Параметры компонента
    [Parameter]
    public DataTable Data { get; set; }
    [Parameter]
    public string Class { get; set;}
    [Parameter]
    public string Style { get; set;}
}
